Bug 24184 - Reword FallbackToSMSIfNoEmail syspref text
Summary: Reword FallbackToSMSIfNoEmail syspref text
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-05 21:17 UTC by Andrew Fuerste-Henry
Modified: 2020-01-06 23:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24184: Reword FallbackToSMSIfNoEmail syspref text (1.00 KB, patch)
2019-12-05 21:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24184: Reword FallbackToSMSIfNoEmail syspref text (1.07 KB, patch)
2019-12-05 21:57 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24184: Reword FallbackToSMSIfNoEmail syspref text (1.17 KB, patch)
2019-12-06 09:16 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-12-05 21:17:12 UTC
This syspref was added in Bug 16149 and allows purchase suggestion notices to send via SMS if no email is present. As far as I know, the syspref only applies to purchase suggestion notices.

The wording on the syspref is "(Disable/Enable) Send messages by SMS if no patron email is defined." Without the context gained by reading Bug 16149, this system preference very much suggest that it applies to *all* notices.

I suggest changing this to "(Disable/Enable) Send purchase suggestion messages by SMS if no patron email is defined."
Comment 1 Andrew Fuerste-Henry 2019-12-05 21:39:10 UTC
Whoops, but the wrong bug number in my description above. This syspref comes from bug 21241.
Comment 2 Lucas Gass 2019-12-05 21:54:18 UTC
Created attachment 96053 [details] [review]
Bug 24184: Reword FallbackToSMSIfNoEmail syspref text

TEST PLAN:
1. Apply patch
2. Confirm new wording looks good.
Comment 3 ByWater Sandboxes 2019-12-05 21:57:40 UTC
Created attachment 96054 [details] [review]
Bug 24184: Reword FallbackToSMSIfNoEmail syspref text

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Marcel de Rooy 2019-12-06 09:16:27 UTC
Created attachment 96057 [details] [review]
Bug 24184: Reword FallbackToSMSIfNoEmail syspref text

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2019-12-06 09:16:46 UTC
We might consider renaming the pref here ?
Comment 6 Lucas Gass 2019-12-06 17:33:28 UTC
Marcel,

FallbackToSMSIfNoEmailForPurchaseSuggestions? Seems long.
Comment 7 Marcel de Rooy 2019-12-09 07:35:20 UTC
(In reply to Lucas Gass from comment #6)
> Marcel,
> 
> FallbackToSMSIfNoEmailForPurchaseSuggestions? Seems long.

Yeah. Too long.
Comment 8 Andrew Fuerste-Henry 2019-12-09 13:50:54 UTC
I'm inclined to push this patch as-is and address the syspref name in a new bug when and if someone thinks of a good option.
Comment 9 Marcel de Rooy 2019-12-09 13:58:16 UTC
(In reply to Andrew Fuerste-Henry from comment #8)
> I'm inclined to push this patch as-is and address the syspref name in a new
> bug when and if someone thinks of a good option.

Yeah my idea too. Since it is in PQA now, the RM may do it..
Comment 10 Martin Renvoize 2019-12-13 15:31:58 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-01-02 17:09:23 UTC
Pushed to 19.11.x branch for 19.11.02

joy
Comment 12 Lucas Gass 2020-01-06 23:08:29 UTC
backported to 19.05.x for 19.05.07